ru.bitel.bgbilling.plugins.assistant.common.service

## Interface AssistantService

-     public interface AssistantService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AssistantActionItem>` | `assistantActions()`
    `java.util.List<AssistantActionItem>` | `assistantActionsForUser(int contractId)`
    `void` | `deleteAssistantAction(int assistantActionId)`
    `java.lang.String` | `doButton(java.lang.String actionId, java.lang.String data, java.lang.String button)`
    `java.lang.String` | `doShow(java.lang.String actionId, java.lang.String data)`
    `AssistantAction` | `getAssistantAction(int id)`
    `AssistantAction` | `getAssistantActionByActionId(java.lang.String actionId)`
    `java.lang.String` | `getInterfaceName()` Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
    `java.lang.String` | `getSuperclassName()` Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
    `void` | `updateAssistantAction(AssistantAction assistantAction)`
    `void` | `updateSortListAssistantAction(java.util.List<AssistantActionItem> assistantActions)` Обновляет значение sort для сортировки

- - ### Method Detail

    - #### assistantActions

          java.util.List<AssistantActionItem> assistantActions()
                                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### assistantActionsForUser

          java.util.List<AssistantActionItem> assistantActionsForUser(int contractId)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAssistantAction

          AssistantAction getAssistantAction(int id)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAssistantAction

          void updateAssistantAction(AssistantAction assistantAction)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAssistantAction

          void deleteAssistantAction(int assistantActionId)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAssistantActionByActionId

          AssistantAction getAssistantActionByActionId(java.lang.String actionId)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getInterfaceName

          java.lang.String getInterfaceName()

      Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
      Returns:

    - #### getSuperclassName

          java.lang.String getSuperclassName()

      Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
      Returns:

    - #### doShow

          java.lang.String doShow(java.lang.String actionId,
                                  java.lang.String data)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doButton

          java.lang.String doButton(java.lang.String actionId,
                                    java.lang.String data,
                                    java.lang.String button)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateSortListAssistantAction

          void updateSortListAssistantAction(java.util.List<AssistantActionItem> assistantActions)
                                      throws ru.bitel.bgbilling.common.BGException

      Обновляет значение sort для сортировки
      Parameters:
        `assistantActions` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`